@charset "UTF-8";
body {
  background: #333;
  display: flex;
  flex-direction: column;
  font-family: "Roboto";
  align-items: center;
  justify-content: center;
  height: 100vh;
}

h1 {
  text-align: center;
  margin: 1em auto;
  font-size: 2em;
  font-weight: 900;
  color: #fff;
}

label {
  height: 10vmin;
  width: 10vmin;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 1em;
}

.color-checks {
  width: 50%;
  max-width: 500px;
  margin: 2em auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}
.color-checks input[type="checkbox"] {
  position: absolute;
  left: -9999vw;
}
.color-checks input[type="checkbox"]:checked + label {
  box-shadow: 0 0 0 2px #fff, 0 2px 5px rgba(0, 0, 0, 0.6);
  -webkit-animation: rotate 1.5s;
          animation: rotate 1.5s;
}
.color-checks input[type="checkbox"]:checked + label:after {
  content: "✔";
  font-size: 5em;
  color: #fff;
}
.color-checks #color__add {
  position: absolute;
  left: -9999vw;
}
.color-checks #color__add + label {
  border: 2px dashed #aaa;
  cursor: pointer;
}
.color-checks #color__add + label:after {
  content: '+';
  font-size: 5em;
  color: #aaa;
}

.twitch {
  -webkit-animation: rotate 1.5s;
          animation: rotate 1.5s;
}

@-webkit-keyframes rotate {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  25% {
    -webkit-transform: rotate(20deg);
            transform: rotate(20deg);
  }
  50% {
    -webkit-transform: rotate(-12deg);
            transform: rotate(-12deg);
  }
  75% {
    -webkit-transform: rotate(6deg);
            transform: rotate(6deg);
  }
  100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}

@keyframes rotate {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  25% {
    -webkit-transform: rotate(20deg);
            transform: rotate(20deg);
  }
  50% {
    -webkit-transform: rotate(-12deg);
            transform: rotate(-12deg);
  }
  75% {
    -webkit-transform: rotate(6deg);
            transform: rotate(6deg);
  }
  100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}
